Regression in 2018-01-08 updates

Bug #1742933 reported by Marc Deslauriers on 2018-01-12
286
This bug affects 2 people
Affects Status Importance Assigned to Milestone
intel-microcode (Debian)
Fix Released
Unknown
intel-microcode (Ubuntu)
Undecided
Marc Deslauriers
Trusty
Undecided
Marc Deslauriers
Xenial
Undecided
Marc Deslauriers
Zesty
Undecided
Marc Deslauriers
Artful
Undecided
Marc Deslauriers
Bionic
Undecided
Marc Deslauriers

Bug Description

There is a regression in the Intel 20180108 microcode updates that is causing issues for some devices:

https://newsroom.intel.com/news/intel-security-issue-update-addressing-reboot-issues/

Marc Deslauriers (mdeslaur) wrote :
Changed in intel-microcode (Ubuntu Trusty):
status: New → Confirmed
Changed in intel-microcode (Ubuntu Xenial):
status: New → Confirmed
Changed in intel-microcode (Ubuntu Zesty):
status: New → Confirmed
Changed in intel-microcode (Ubuntu Artful):
status: New → Confirmed
Changed in intel-microcode (Ubuntu Bionic):
status: New → Confirmed
Changed in intel-microcode (Ubuntu Trusty):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in intel-microcode (Ubuntu Xenial):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in intel-microcode (Ubuntu Zesty):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in intel-microcode (Ubuntu Artful):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in intel-microcode (Ubuntu Bionic):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in intel-microcode (Debian):
status: Unknown → New
Simon Déziel (sdeziel) wrote :

With my Kaby Lake (i7-7500U), I can confirm that resuming from sleep (S3) doesn't work (3/3 fails) as reported on the Lenovo site.

tags: added: regression-update

@sdeziel:

Please confirm that the i7-7500U has issues resuming from S3 *only* when intel-microcode 20180108 is installed.

Also, just to be sure, please attach the contents of /proc/cpuinfo both with the microcode that breaks sleep, and with whatever earlier microcode that works fine.

If at all possible, please also test with intel-microcode 20171117 packages.

Thank you!

Simon Déziel (sdeziel) wrote :

@hmh, yes, the only issue I'm seeing with my i7-7500U is the inability to *enter sleep* since I upgraded to intel-microcode 20180108. I initially described the problem as being unable to resume from sleep but upon closer inspection, the laptop simple never fully goes to sleep, the power LED remains on steady while it normally would turn off during sleep. My keyboard's LED does turn off though which is why I got mislead.

Please find the following for both intel-microcode versions:

(dpkg -l| grep intel-microcode; journalctl -k | grep microcode; cat /proc/cpuinfo) > cpuinfo-microcode-$version.txt

Simon Déziel (sdeziel) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180108.0+really20170707ubuntu14.04.1

---------------
intel-microcode (3.20180108.0+really20170707ubuntu14.04.1) trusty-security; urgency=medium

  * Revert to 20170707 version of microcode because of regressions on
    certain hardware. (LP: #1742933)

 -- Marc Deslauriers <email address hidden> Mon, 22 Jan 2018 07:21:24 -0500

Changed in intel-microcode (Ubuntu Trusty):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180108.0+really20170707ubuntu17.10.1

---------------
intel-microcode (3.20180108.0+really20170707ubuntu17.10.1) artful-security; urgency=medium

  * Revert to 20170707 version of microcode because of regressions on
    certain hardware. (LP: #1742933)

 -- Marc Deslauriers <email address hidden> Mon, 22 Jan 2018 07:16:40 -0500

Changed in intel-microcode (Ubuntu Artful):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package intel-microcode - 3.20180108.0+really20170707ubuntu16.04.1

---------------
intel-microcode (3.20180108.0+really20170707ubuntu16.04.1) xenial-security; urgency=medium

  * Revert to 20170707 version of microcode because of regressions on
    certain hardware. (LP: #1742933)

 -- Marc Deslauriers <email address hidden> Mon, 22 Jan 2018 07:19:36 -0500

Changed in intel-microcode (Ubuntu Xenial):
status: Confirmed → Fix Released
Changed in intel-microcode (Ubuntu Zesty):
status: Confirmed → Won't Fix
Changed in intel-microcode (Debian):
status: New → Fix Released
Thomas (kugel.) wrote :

The microcode file found in 3.20180108.0+really20170707ubuntu16.04.1 for my Haswell CPU still causes problem that I haven't had before.

When booting the kernel, it cannot find any partitions. Funiliy, the initrd file contains nothing but the microcode file. Reverting manually to a known-good initrd file (also containing nothing but the microcode file) fixes it.

Here the relevant sha1sums:

Good:
d41b5f3302bdccec086c78f88d6eae923b64086a kernel/x86/microcode/GenuineIntel.bin
Bad (found in 3.20180108.0+really20170707ubuntu16.04.1):
d63a2a7ecf16463c196f83b8f260d0e8a7ad4e27 kernel-1/x86/microcode/GenuineIntel.bin

(GenuineIntel.bin is sourced from
/lib/firmware/intel-ucode/0/06-3c-03.initramfs on my Haswell CPU)

On Mon, Feb 05, 2018 at 11:03:00AM -0000, Thomas wrote:
> The microcode file found in 3.20180108.0+really20170707ubuntu16.04.1 for
> my Haswell CPU still causes problem that I haven't had before.

> When booting the kernel, it cannot find any partitions. Funiliy, the
> initrd file contains nothing but the microcode file. Reverting manually
> to a known-good initrd file (also containing nothing but the microcode
> file) fixes it.

The initrd file is a concatenation of two archives, one of which is the
microcode only, the other contains the normal initrd contents.

It is exceedingly unlikely that the problem you're experiencing is in any
way connected to a microcode update.

You can introspect the initrd on disk with the command:

  (cpio -t; zcat | cpio -t) < /boot/initrd.img

tags: added: id-5ab94d5f69245b5ea6e9d5f3
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.